{% extends 'base.html' %}
{% block title %}
Domains
{% endblock %}

{% block content %}
    <h1>Domains</h1>
    <div>
        <a class="link-button" href="{{ url_for('courseComp.edit_domain', domain_id=domain.domain_id) }}">Edit domain</a>
        <a class="link-button" href="{{ url_for('courseComp.delete_domain', domain_id=domain.domain_id) }}">Delete domain</a>
    </div>
        <div class='domain' id='{{ domain.domain_id }}'>
            <div class='domain_header'>
                <a href="{{  url_for('courseComp.specific_domain', domain_id=domain.domain_id)  }}">{{ domain.domain_id }}. {{ domain.domain }}</a>
            </div>
            <div class='domain_description'>{{ domain.domain_description }}</div>
            
        </div>

        <div class='relevant_courses'>
        <h3>Relevant Courses</h3>
            {% for course in relevant_courses %}
                <div class='course' id='{{ course.course_id }}'>
                    <div class='course_header'>
                        <div class='course_id'><a href="{{  url_for('courseComp.specific_course', course_id=course.course_id)  }}">{{ course.course_id }}</a></div>
                        <div class='course_name'>{{ course.course_name }}</div>
                        <div class='course_clh'>{{course.theory_hours}}-{{course.lab_hours}}-{{course.work_hours}}</div>
                        <div class='course_hrs'>{{course.course_hours}}</div>
                        <div class='course_term'>Term {{ course.term.term_id }}</div>
                        <div class='course_credits'>Credits: {{ course.course_credits }}</div>
                        <div class='course_domain'>{{ course.domain.domain }}</div>
                    </div>
                    <div class='course_description'>{{ course.course_description }}</div>
                
                </div>
            {% endfor %}
        </div>

{% endblock %}